> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Create Applicant: Buildium

POST https://api.propexo.com/v1/applicants/buildium/
Content-Type: application/json

Create Applicant: Buildium| Interface  | Method           |
| ---------- | ---------------- |
| Applicants | POST /applicants |This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.

Reference: https://docs.propexo.com/api-reference/buildium/applicants/create-applicant-buildium

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Body (application/json)

This endpoint expects a _v1_applicants_buildium__post_input.

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `first_name` (string, required) — The first name associated with the applicant
- `last_name` (string, required) — The last name associated with the applicant
- `unit_id` (string, optional) — The Propexo unique identifier for the unit
- `send_rental_application_email` (boolean, optional, default: false) — Whether to send the new applicant an email with a link to the online application form
- `email_1` (string, optional) — The primary email address associated with the applicant
- `phone_1` (string, optional) — Primary phone number associated with the applicant
- `phone_1_type` (enum, optional) — Type of the primary phone number
  - Allowed values: `HOME`, `WORK`, `MOBILE`, `FAX`
- `phone_2` (string, optional) — Secondary phone number associated with the applicant
- `phone_2_type` (enum, optional) — Type of the secondary phone number
  - Allowed values: `HOME`, `WORK`, `MOBILE`, `FAX`
- `custom_data` (V1ApplicantsBuildiumPostInputCustomData, optional, deprecated) — Deprecated: Field is no longer applicable

## Response

### 200

Successful response

- `meta` (V1ApplicantsBuildiumPostOutputMeta, required)
- `result` (V1ApplicantsBuildiumPostOutputResult, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### V1ApplicantsBuildiumPostInputCustomData

Deprecated: Field is no longer applicable

### V1ApplicantsBuildiumPostOutputMeta

- `job_id` (string, required)

### V1ApplicantsBuildiumPostOutputResult

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `unit_id` (string, required, nullable) — The Propexo unique identifier for the unit
- `first_name` (string, required) — The first name associated with the applicant
- `last_name` (string, required) — The last name associated with the applicant
- `email_1` (string, required, nullable) — The primary email address associated with the applicant
- `phone_1` (string, required, nullable) — Primary phone number associated with the applicant
- `phone_1_type` (enum, required) — Type of the primary phone number
  - Allowed values: `HOME`, `WORK`, `MOBILE`, `FAX`
- `phone_2` (string, required, nullable) — Secondary phone number associated with the applicant
- `phone_2_type` (enum, required) — Type of the secondary phone number
  - Allowed values: `HOME`, `WORK`, `MOBILE`, `FAX`
- `custom_data` (V1ApplicantsBuildiumPostOutputResultCustomData, required, nullable, deprecated)
- `send_rental_application_email` (boolean, optional, default: false) — Whether to send the new applicant an email with a link to the online application form

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### V1ApplicantsBuildiumPostOutputResultCustomData

## Examples

**Request**

```json
{
  "integration_id": "buildium-12345",
  "first_name": "Emily",
  "last_name": "Johnson"
}
```

**Response**

```json
{
  "meta": {
    "job_id": "job-98765"
  },
  "result": {
    "integration_id": "buildium-12345",
    "unit_id": "unit-54321",
    "first_name": "Emily",
    "last_name": "Johnson",
    "email_1": "emily.johnson@example.com",
    "phone_1": "+1-555-123-4567",
    "phone_1_type": "MOBILE",
    "phone_2": "+1-555-765-4321",
    "phone_2_type": "HOME",
    "custom_data": {},
    "send_rental_application_email": true
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/applicants/buildium/"

payload = {
    "integration_id": "buildium-12345",
    "first_name": "Emily",
    "last_name": "Johnson"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/applicants/buildium/';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"integration_id":"buildium-12345","first_name":"Emily","last_name":"Johnson"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/applicants/buildium/"

	payload := strings.NewReader("{\n  \"integration_id\": \"buildium-12345\",\n  \"first_name\": \"Emily\",\n  \"last_name\": \"Johnson\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/applicants/buildium/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"integration_id\": \"buildium-12345\",\n  \"first_name\": \"Emily\",\n  \"last_name\": \"Johnson\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.propexo.com/v1/applicants/buildium/")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"integration_id\": \"buildium-12345\",\n  \"first_name\": \"Emily\",\n  \"last_name\": \"Johnson\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.propexo.com/v1/applicants/buildium/', [
  'body' => '{
  "integration_id": "buildium-12345",
  "first_name": "Emily",
  "last_name": "Johnson"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/applicants/buildium/");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"integration_id\": \"buildium-12345\",\n  \"first_name\": \"Emily\",\n  \"last_name\": \"Johnson\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "integration_id": "buildium-12345",
  "first_name": "Emily",
  "last_name": "Johnson"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/applicants/buildium/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```